import { createFactory } from 'hono/factory';
import { PostFileService } from '@blog/services/post-file';

const factory = createFactory();
let postFileService: PostFileService;

export const postFileMiddleware = factory.createMiddleware(async (c, next) => {
  if (!postFileService) {
    postFileService = await PostFileService.create();
  }

  c.set('postService', postFileService);
  await next();
});
